<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="vip.xiaonuo.disk.mapper.RecoveryFileMapper">

    <select id="selectRecoveryFileList" resultType="vip.xiaonuo.disk.vo.file.RecoveryFileListVo">
        SELECT * FROM recoveryfile a
        LEFT JOIN userfile b ON a.USER_FILE_ID = b.USER_FILE_ID
        left join file c on c.FILE_ID = b.FILE_ID
        WHERE USER_ID = #{userId}
    </select>
</mapper>
